Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
Welche Version von Mono ist OpenSim tauglich ?
#1
Hallo zusammen ;D

Aktuell ist die Mono Version 4.2.1.102, diese ist laut Freaky nicht OpenSim tauglich. Daher meine Frage, welche Mono Version ist zur Zeit tauglich für OpenSim unter Linux und wie bekomme ich diese ?

Wenn ich nach Maretas Tutorial gehe, wird die oben besagte Version installiert.

Dazu kommt, das zwei OpenSim Version im Umlauf sein, einmal die 0.9 (OsgridVersion) und die aktuelle 0.8.2.1, die man über OpenSimator.org  downloaden kann.

Ich denke mal Freaky hat seine Arriba - Version ist eher dem 0.8er angeglichen ...
Tschöö

Bogus | PinguinsReisen.de
Zitieren
#2
Die OpenSim 0.9 ist zur Zeit eine Entwicklerversion, die im OSgrid getestet wird (ist ja das offizielle Testgrid, auch wenn manche das mal vergessen). Nicht mal das Metropolis Grid traut sich zur Zeit, eine 0.9'er rauszugeben, obwohl es eigentlich statt der 0.8.3 DEV (Metro eigene Versionsnummer) gleich eine 0.9.x DEV als Metro-Edition veröffentlichen wollte. Die 0.8.3 DEV der Metro wurde aus der 0.9.0 erstellt unmittelbar, bevor die großen Merges begannen.

Ich empfehle also die offizielle 0.8.2, die Metro-0.8.3 oder die zu beiden kompatible Arriba. Außer Du willst unter die Tester gehen.

Das Rezept auf der Seite "aktuelles Mono installieren" in meinem Tutorial tut leider genau das, die derzeit aktuelle Version 4.2.x installieren. Ich bin auch sehr dran interessiert zu erfahren, mit welchen Mono-Versionen derzeit erfolgreich Regionenserver betrieben werden können. Meine Installation ist leider auch instabil, stürzt ca. 4x täglich mit einem SIGTERM ab. Ich habe Ubuntu 14.04 mit Mono 4.0.x (das neueste davon).

Also: Wer eine gute Mono-Version kennt, bitte hier in den Thread schreiben!!!! Danke.

Viele Grüße,
Michela
Hyperweb.eu => Server-Tutorial für Linux mit OpenSim.
Zitieren
#3
Hallo Mareta ;D

Bin schon auf der Suche nach einer 4.0.x, soweit ich weiss hast du mal geschrieben das du 4.0.5 installiert hast oder ? Hab in dem Mono Git-repo die 4.0.4 gefunden. Werde sie mal testen, soweit ich sie installiert bekomm ;D
Tschöö

Bogus | PinguinsReisen.de
Zitieren
#4
Moin sach der Fux !

Ich habe festgestellt, das vor allem mit der neuen Testversion Mono+Linux nur mit vielen Fehlern funktioniert, wenn man es überhaupt zum Starten bringt.
Auch die Performance der Software, soviel das Händling unter Linux ist Speicher und Prozessor lasstig

Deshalb habe ich mein Server auf Windows umgestellt, und da läuft alles einwandfrei, was sonst unter Linux Schwierigkeiten machte.

Wie mir auch mehrfach von "Mit-DEV's" gesagt wurde, wird die neue Version auf Windows konzentiert Programmiert, so das unter Linux mit den Emulgator Mono ein Grid oder Region nur noch mit Tricks zum laufen zu bekommen ist.

Auch ich muss jetzt in das Horn blasen und sagen ... OpenSim ist als Windows Programm programmiert worden, und läuft ohne Probleme auch unter WIndows, und nunja, sooo teuer sind die 2012 R2 Lizenzen ja auch nicht mehr.

best
Servex Congrejo
Zitieren
#5
Wenn das stimmen sollte, was du da sagst, dann finde ich das absolute scheisse .. Weil bin echt nicht bereit dafür nochwas drauf zu zahlen ..
Tschöö

Bogus | PinguinsReisen.de
Zitieren
#6
@Servex: Ich habe doch nicht meinen Heimrechner von Windows auf Linux umgestellt, seit Microsoft endgültig an der vordersten Front der Datensammler mitspielt ... um jetzt ein Windows auf den Server aufzuspielen! Rolleyes

Eher gebe ich OpenSim auf, als eine Rolle rückwärts in die Abhängigkeit von Datenkraken und proprietärer Software zu machen. (Um Geld geht es dabei nicht, ich habe eine MSDN Subscription.)

@all: Also noch einmal der Aufruf: Wer kennt die letzte zuverlässige Mono-Version? Für 0.8.x, die 0.9 interessiert mich erstmal ziemlich peripher.

Liebe Grüße,
Mareta
Hyperweb.eu => Server-Tutorial für Linux mit OpenSim.
Zitieren
#7
Huhus,

auf "meinem" Serverlein muckelt ein CentOS 6.7 vor sich hin. Das mono drauf:
[opensim@moehre ~]$ /opt/mono/bin/mono -V
Mono JIT compiler version 4.2.1 (Stable 4.2.1.102/6dd2d0d Tue Nov 24 09:39:47 UTC 2015)                                                                                                                                          
Copyright © 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com                                                                                                                                          
TLS:           __thread                                                                                                                                                                                                  
SIGSEGV:       altstack                                                                                                                                                                                                  
Notifications: epoll                                                                                                                                                                                                     
Architecture:  amd64                                                                                                                                                                                                     
Disabled:      none                                                                                                                                                                                                      
Misc:          softdebug                                                                                                                                                                                                 
        LLVM:  yes(3.6.0svnmono-/)                                                                                                                                                                                    
GC:            sgen

Dazu die 0.8.3-DEV-MetroEdition mit 6 Regionen und die Sache läuft bei mir recht rund, was aber angesichts der niedrigen Last von 2-4 Avas auch kein Wunder ist. Ich mache allerdings auch aus alter Gewohnheit einen täglichen Restart des Simulators

Vielleicht hilft das ja etwas weiter :-)

Ciaoo

Sheera
Zitieren
#8
Also ich nutze aktuell als OS Debian 8 Jessie mit der 3.2.8 Version von Mono, allerdings ist mein Grid noch jungfräulich xD.
Jedoch hatte ich bis dato in meinen Tests kein Problem mit dieser Mono Version. Ist zwar schon etwas älter aber läuft zumindest vorerst Smile
Projekte:

| Elbium: Work in progress | 



Zitieren
#9
Vielen Dank für eure Hinweise. Leider kann ich auch da bisher keine klare Linie erkennen, und habe heute den Server wieder auf ein älteres Mono (3.2.8) zurück gerollt, wie sie wohl auch Angus erfolgreich verwendet.

Im Frühjahr kommt Ubuntu 16.04 raus, vielleicht lässt sich dann wieder eine neuere Kombination für mich finden. Immerhin ist es tröstlich, dass wohl zumindest manchmal Kombinationen eines Linux mit einer aktuellen Mono-Version möglich sind, siehe Sheeras Beitrag.

Liebe Grüße,
Mareta
Hyperweb.eu => Server-Tutorial für Linux mit OpenSim.
Zitieren
#10
Ich würde ja sehr gerne ein Grid mal mit OpenSim erstellen, aber solange es keine Mono Version sich mit OS verträgt sieht es essig aus. Auch weil ich WCS noch ein Projekt am laufen hab, für diesen kann ich die aktuelle 4er ohne Probleme einsetzen.

Da gibt es aber den Hinkefuss, das WCS kein HG hat. Tja so sitze ich in der Zwickmühle, mal schaun was ich da mache ..
Tschöö

Bogus | PinguinsReisen.de
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Database Cleanup Script [OpenSim 0.9.x] bimbam2103 29 2.740 15.05.2019, 10:54
Letzter Beitrag: Manfred Aabye
  Upgrade Erfahrungen OpenSim 0.9.1, Mono 5.x unter Linux: Data Rossini 12 1.469 12.02.2019, 13:16
Letzter Beitrag: Pius Noel
  OpenSim Compile brenner23 7 1.794 17.11.2018, 20:54
Letzter Beitrag: Pius Noel
Brick Neues Grid aka Aufbau OpenSim mit Robust und Co... brenner23 29 4.492 14.11.2018, 20:47
Letzter Beitrag: brenner23
  OpenSim installation Miss Undercover 9 3.050 10.02.2018, 12:03
Letzter Beitrag: Miss Undercover

Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste